Package org.apache.activemq.artemis.jms.server.embedded

## Class EmbeddedJMS

- java.lang.Object
- - org.apache.activemq.artemis.core.server.embedded.EmbeddedActiveMQ
  - - org.apache.activemq.artemis.jms.server.embedded.EmbeddedJMS

-     @Deprecated
      public class EmbeddedJMS
      extends org.apache.activemq.artemis.core.server.embedded.EmbeddedActiveMQ

  Deprecated.
  Deprecated in favor of org.apache.activemq.artemis.core.server.embedded.EmbeddedActiveMQ. Since Artemis 2.0 all JMS specific broker management classes, interfaces, and methods have been deprecated in favor of their more general counter-parts. Simple bootstrap class that parses activemq config files (server and jms and security) and starts an ActiveMQServer instance and populates it with configured JMS endpoints.

  JMS Endpoints are registered with a simple MapBindingRegistry. If you want to use a different registry you must set the registry property of this class or call the setRegistry() method if you want to use JNDI

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected javax.naming.Context` | `context` | Deprecated.
    `protected JMSConfiguration` | `jmsConfiguration` | Deprecated.
    `protected BindingRegistry` | `registry` | Deprecated.
    `protected JMSServerManagerImpl` | `serverManager` | Deprecated.

    - ### Fields inherited from class org.apache.activemq.artemis.core.server.embedded.EmbeddedActiveMQ

      `activeMQServer, configResourcePath, configuration, mbeanServer, propertiesResourcePath, securityManager`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EmbeddedJMS()` | Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `JMSServerManager` | `getJMSServerManager()` | Deprecated.
    `BindingRegistry` | `getRegistry()` | Deprecated.
    `java.lang.Object` | `lookup​(java.lang.String name)` | Deprecated. Lookup in the registry for registered object, i.e.
    `EmbeddedJMS` | `setConfiguration​(org.apache.activemq.artemis.core.config.Configuration configuration)` | Deprecated. Set this object if you are not using file-based configuration.
    `EmbeddedJMS` | `setContext​(javax.naming.Context context)` | Deprecated. If you want to use JNDI instead of an internal map, set this property
    `EmbeddedJMS` | `setJmsConfiguration​(JMSConfiguration jmsConfiguration)` | Deprecated. By default, this class uses file-based configuration.
    `EmbeddedJMS` | `setRegistry​(BindingRegistry registry)` | Deprecated. Only set this property if you are using a custom BindingRegistry
    `EmbeddedJMS` | `start()` | Deprecated.
    `EmbeddedJMS` | `stop()` | Deprecated.

    - ### Methods inherited from class org.apache.activemq.artemis.core.server.embedded.EmbeddedActiveMQ

      `getActiveMQServer, getConfiguration, initStart, setConfigResourcePath, setMbeanServer, setPropertiesResourcePath, setSecurityManager, waitClusterForming`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### serverManager

          protected JMSServerManagerImpl serverManager

      Deprecated.

    - #### registry

          protected BindingRegistry registry

      Deprecated.

    - #### jmsConfiguration

          protected JMSConfiguration jmsConfiguration

      Deprecated.

    - #### context

          protected javax.naming.Context context

      Deprecated.

  - ### Constructor Detail

    - #### EmbeddedJMS

          public EmbeddedJMS()

      Deprecated.

  - ### Method Detail

    - #### getRegistry

          public BindingRegistry getRegistry()

      Deprecated.

    - #### getJMSServerManager

          public JMSServerManager getJMSServerManager()

      Deprecated.

    - #### setRegistry

          public EmbeddedJMS setRegistry​(BindingRegistry registry)

      Deprecated.
      Only set this property if you are using a custom BindingRegistry
      Parameters:
        `registry` -

    - #### setJmsConfiguration

          public EmbeddedJMS setJmsConfiguration​(JMSConfiguration jmsConfiguration)

      Deprecated.
      By default, this class uses file-based configuration. Set this property to override it.
      Parameters:
        `jmsConfiguration` -

    - #### setContext

          public EmbeddedJMS setContext​(javax.naming.Context context)

      Deprecated.
      If you want to use JNDI instead of an internal map, set this property
      Parameters:
        `context` -

    - #### setConfiguration

          public EmbeddedJMS setConfiguration​(org.apache.activemq.artemis.core.config.Configuration configuration)

      Deprecated.
      Description copied from class: `org.apache.activemq.artemis.core.server.embedded.EmbeddedActiveMQ`
      Set this object if you are not using file-based configuration. The default implementation will load configuration from a file.
      Overrides:
        `setConfiguration` in class `org.apache.activemq.artemis.core.server.embedded.EmbeddedActiveMQ`

    - #### lookup

          public java.lang.Object lookup​(java.lang.String name)

      Deprecated.
      Lookup in the registry for registered object, i.e. a ConnectionFactory.

      This is a convenience method.

      Parameters:
        `name` -

    - #### start

          public EmbeddedJMS start()
                            throws java.lang.Exception

      Deprecated.
      Overrides:
        `start` in class `org.apache.activemq.artemis.core.server.embedded.EmbeddedActiveMQ`
      Throws:
        `java.lang.Exception`

    - #### stop

          public EmbeddedJMS stop()
                           throws java.lang.Exception

      Deprecated.
      Overrides:
        `stop` in class `org.apache.activemq.artemis.core.server.embedded.EmbeddedActiveMQ`
      Throws:
        `java.lang.Exception`